extends SubViewportContainer

var camera_angle := deg_to_rad(45.0)

func on_resize(): 
	$SubViewport.size.y = $SubViewport.size.y * cos(camera_angle)

func _ready(): 
	on_resize()

func _on_item_rect_changed():
	on_resize()
